All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
asSBCInfo Struct Reference

Information on a bytecode instruction. More...

## Public Attributes

asEBCInstr | bc
| Bytecode instruction id.
asEBCType | type
| Instruction argument layout.
int | stackInc
| How much this argument increments the stack pointer. 0xFFFF if it depends on the arguments.
const char * | name
| Name of the instruction for debugging.

## Detailed Description

This structure can be obtained for each bytecode instruction by looking it up in the asBCInfo array.

The size of the instruction can be obtained by looking up the type in the asBCTypeSize array.

See Also
  How to build a JIT compiler

The documentation for this struct was generated from the following file:

- angelscript.h